<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    tools:context="com.ttiglobal.inttilectgpchat.LoginActivity">

    <FrameLayout
        android:layout_width="match_parent"

        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="@dimen/timerSize"
                android:layout_height="@dimen/layoutsize"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/textSizeToSmall"
                android:contentDescription="@string/app_name"
                android:gravity="center"
                android:src="@drawable/setpassword1" />

            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/textSize"
                android:gravity="center"
                android:text="Set Password"
                android:textAllCaps="true"
                android:textColor="#000000"
                android:textSize="@dimen/textSize"
                android:textStyle="bold" />

        </LinearLayout>

        <ImageView
            android:id="@+id/back_btn"
            android:layout_width="@dimen/buttonHeight"
            android:layout_height="@dimen/buttonHeight"
            android:layout_gravity="top|left"
            android:layout_margin="@dimen/seekbarsize"
            android:contentDescription="@string/app_name"
            android:gravity="center"
            android:padding="10dp" />
    </FrameLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="1"
        android:padding="@dimen/textSizeLarge">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center|top"
            android:layout_margin="@dimen/textSize"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:src="@mipmap/pass_icon" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:passwordToggleEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/newPassword"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="New Password"
                        android:inputType="textPassword"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:src="@mipmap/pass_icon" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:passwordToggleEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/confirmPassword"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="Confirm Password"
                        android:inputType="textPassword"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/textSizeNormal"
                android:gravity="center"
                android:text="@string/pass_intruc"
                android:textColor="@color/btn_bg_color"
                android:textSize="@dimen/textSizeSmall"
                android:layout_marginLeft="@dimen/textSize"
                android:layout_marginRight="@dimen/textSize"
                android:textStyle="italic"
                android:visibility="visible" />


        </LinearLayout>

        <Button
            android:id="@+id/continueButton"
            android:layout_width="match_parent"
            android:layout_height="@dimen/buttonHeight"
            android:layout_gravity="center|bottom"
            android:layout_marginBottom="@dimen/textSize"
            android:layout_marginLeft="@dimen/buttonHeight"
            android:layout_marginRight="@dimen/buttonHeight"
            android:background="@drawable/border_login_button"
            android:text="@string/action_continue"
            android:textAllCaps="true"
            android:textColor="@color/btn_bg_color"
            android:textSize="@dimen/textSizeAverage" />
    </FrameLayout>
</LinearLayout>
